<?php
function tareas_alumnos_pc($id){
  $q=runsql("select * from tareas where id = '$id'");
  $i=registro($q);
  $qalmn=runsql("select 'a' as letra, count(*) as cantidad 
                 from alumnos 
                 where grado_estudio = '{$i[grado]}' 
                 and seccion = '{$i[seccion]}'
                 and year_estudio = '".get_ciclo_activo()."'
                 group by letra");
  $ialmn=registro($qalmn);
  $qresp=runsql("select count(distinct alumno) as cantidad 
                 from respuesta_tareas 
                 where tarea = '{$id}' and calificado = 'S'");
  $iresp=registro($qresp);
  
  return $ialmn[cantidad] - $iresp[cantidad];                                  
}

function registros($q){
  return numero_registros($q);
}


function evaluaciones_alumnos_pc($id){
  $q=runsql("select * from evaluaciones where id = '$id'");
  $i=registro($q);
  $qalmn=runsql("select 'a' as letra, count(*) as cantidad 
                 from alumnos 
                 where grado_estudio = '{$i[grado]}'
                 and seccion = '{$i[seccion]}'
                 and year_estudio = '".get_ciclo_activo()."'
                 group by letra");
  $ialmn=registro($qalmn);
  
  $alumnos=Array();
  
  $qresp=runsql("select distinct alumno  
                 from respuestas_d 
                 where evaluacion = '{$id}'
                 and alumno in 
                 (
                 select carnet 
                 from alumnos
                 where grado_estudio = '{$i[grado]}'
                 and seccion = '{$i[seccion]}'
                 and year_estudio = '".get_ciclo_activo()."')");
  while($iresp=registro($qresp)){
    $alumnos[$iresp[alumno]]="S";
  }
  
  $qresp2=runsql("select distinct alumno 
                  from respuestas_m 
                  where evaluacion = '{$id}'
                  and alumno in 
                  (
                   select carnet 
                   from alumnos
                   where grado_estudio = '{$i[grado]}'
                   and seccion = '{$i[seccion]}'
                   and year_estudio = '".get_ciclo_activo()."')");
  while($iresp=registro($qresp2)){
    $alumnos[$iresp[alumno]]="S";
  }
  
  return $ialmn[cantidad] - count($alumnos);  
}

function sel_cbo($valor1, $valor2){
  if($valor1 == $valor2){
    echo "selected";
  }
}

function suma_puntos_evaluacion($id){
  $i1=registro(runsql("select sum(valor) as ntotal from ev_m_preguntas where evaluacion = '$id'"));
  $i2=registro(runsql("select sum(valor) as ntotal from ev_d_preguntas where evaluacion = '$id'"));
  
  return ($i1[ntotal] + $i2[ntotal]);
}
?>